﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Editing and Deleting Runtime Personalized Analytics Reports</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Editing and Deleting Runtime Personalized Analytics Reports</h1>
        <div class="info" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;" MadCap:conditions="Default.v2021X">
            <p class="note">This capability is available from the Release v2021.0 onwards.</p>
        </div>
        <p>End users now can edit or delete the created personalized version of runtime analytics reports to which they have access to. This ability is available only when the personalized reports are created and available in the Analytics History V2 page. For more information on how to create a personalized report, see <MadCap:xref href="Creating-Personalized-Reports-Scheduled-from-Runtime-Analytics.htm">Creating Personalized Reports Scheduled from Runtime Analytics</MadCap:xref>.</p>
        <h3 id="EditingandDeletingRuntimePersonalizedAnalyticsReports-EditingPersonalizedRuntimeAnalyticsSchedule">Editing Personalized Runtime Analytics Schedule</h3>
        <p>After creating the personalized runtime analytics scheduled report, navigate to the report for which you wish to edit from the Analytics History page.</p>
        <p>To edit the schedule, perform the following steps:</p>
        <ol>
            <li>
                <p>From the Analytics History page, click the report that you want to edit. The Edit Schedule window is displayed.</p>
            </li>
            <li>
                <p>Click Edit.</p>
                <p>
                    <img src="../Resources/Images/edit schedule.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 910px;height: 342px;" />
                </p>
            </li>
            <li>
                <p>In the Edit Attribute window, specify the dynamic attribute value for which you want to edit the report and click <strong>Next</strong>.<br /><img src="../Resources/Images/edit attributes.png" style="width: 631px;height: 238px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
        </ol>
        <p>  4. To receive the report periodically, click <strong>Yes </strong>else click <strong>No</strong>. </p>
        <p>  5. Schedule the report using one of the following options. </p>
        <ul>
            <li>
                <p><strong>Every Month</strong> - Select this option to schedule the report every month. After selecting this option, all months are selected.  </p>
            </li>
            <li>
                <p><strong>Specific Months</strong> - Select this option if you want to schedule the report only on specific months. <br /><img src="../Resources/Images/specific months.png" style="width: 645px;height: 342px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
        </ul>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If you select months that has a combination of 31 days or 30 days or 28 days or 29 days together and select the Day of month as 29 or 30 or 31, and then click Submit, you get the following message.</p>
        </div>
        <p>
            <img src="../Resources/Images/select valid month.png" style="width: 422px;height: 191px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If you select months that has a combination of 31 days or 30 days or 28 days or 29 days together and select the <strong>Day of month</strong> as any value less than 29, and then click <strong>Submit</strong>, your get the following message.</p>
        </div>
        <p>
            <img src="../Resources/Images/ssm schedule.png" style="width: 466px;height: 187px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p> 6. Select any additional email addresses where you want the personalized report to be delivered. By default, if you do not set this, only the end user who is creating and editing the schedule will receive the report data.<br />The new report name is saved with the selected dynamic attribute.</p>
        <p> 7. Click <strong>Save</strong>. </p>
        <p>You can now see the personalized version of the analytics report in the Analytics History V2 page.</p>
        <p>
            <img src="../Resources/Images/Analytics History new.png" style="width: 576px;height: 572px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <h3 id="EditingandDeletingRuntimePersonalizedAnalyticsReports-DeletingPersonalizedScheduledReport">Deleting Personalized Scheduled Report</h3>
        <p>To delete the report, perform the following steps:</p>
        <ol>
            <li>
                <p>Navigate to the Analytics History page and select the report that you want to delete. The Edit Schedule window is displayed prompting you to <strong>Delete </strong>or <strong>Edit </strong>the report. <br /><img src="../Resources/Images/edit or delete schedule.png" style="width: 700px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p>   Click <strong>Delete</strong>. The report is deleted displaying the following message.<br /><img src="../Resources/Images/ssm ok.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
        </ol>
        <p>&#160;</p>
    </body>
</html>